# $Revision: 1.29 $, $Date: 2004/07/15 12:39:30 $
Summary:	The SILO boot loader for SPARCs
Summary(fr):	Chargeur de boot Linux pour SPARCs
Summary(pl):	SILO - boot loader dla maszyn sparcowych
Name:		silo
Version:	1.4.8
Release:	1
License:	GPL
Group:		Base
Source0:	http://www.sparc-boot.org/pub/silo/%{name}-%{version}.tar.bz2
# Source0-md5:	6828950395da913ff4052705f0e1e287
URL:		http://www.sparc-boot.org/
BuildRequires:	e2fsprogs-static
BuildRequires:	elftoaout
ExclusiveArch:	sparc sparc64 sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The silo package installs the SILO (Sparc Improved LOader) boot
loader, which you'll need to boot PLD Linux on a SPARC. SILO installs
onto your system's boot block and can be configured to boot Linux,
Solaris and SunOS.

%description -l fr
Le paquetage silo installe le chargeur de boot SILO (Sparc Improved
LOader) dont vous avez besoin pour dmarrer Linux-Mandrake sur une
SPARC. SILO s'installe sur le "boot block" de votre systme et peut
tre configur pour dmarrer Linux, Solaris et SunOS.

%description -l pl
Pakiet zawiera SILO (Sparc Improved LOader), ktory jest niezbdny do
uruchomienia PLD Linuksa na SPARCu. SILO instaluje si w bloku
bootujcym systemu i moe by skonfigurowany tak, aby adowa Linuksa,
Solarisa lub SunOSa.

%prep
%setup -q

%build
# ksh doesn't expand '\340' in echo, which is required to make working *.b
# (first stage silently hangs otherwise)
%{__make} \
	SHELL=/bin/bash

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/silo.conf ]; then
	/sbin/silo -f > /dev/null 2>&1
fi

%files
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%doc ChangeLog docs/* first-isofs/README.SILO_ISOFS
/boot/*.b
%attr(755,root,root) /sbin/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: silo.spec,v $
Revision 1.29  2004/07/15 12:39:30  cieciwa
- version 1.4.8,
- updated MD5 sum.

Revision 1.28  2004/06/21 11:47:40  cieciwa
- version 1.4.6,
- updated MD5 sum.

Revision 1.27  2004/05/17 18:32:28  qboosh
- changelog typo

Revision 1.26  2004/05/17 13:07:27  qboosh
- updated to 1.4.5
- workaround for ksh/echo problem which caused silent hang in first stage
- glibc-static is not buildrequired

Revision 1.25  2004/03/18 07:29:34  cieciwa
- updated to version 1.4.4,
- updated MD5 sum.

Revision 1.24  2003/09/19 12:34:50  misi3k
- more BR

Revision 1.23  2003/08/25 19:52:51  misi3k
- added -f option (update the boot block)

Revision 1.22  2003/08/25 19:47:40  misi3k
- cosmetics

Revision 1.21  2003/08/20 21:18:42  undefine
- testing 1.3.1

Revision 1.20  2003/06/27 16:22:40  misi3k
- typo

Revision 1.19  2003/06/27 16:19:56  misi3k
- updated to 1.3
- updated Source0 url
Note: 1.2.6 not work

Revision 1.18  2003/06/21 09:00:37  misi3k
- updated to 1.2.6
- cosmetics
Note: not tested

Revision 1.17  2003/05/25 06:26:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.15  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/13 12:04:10  qboosh
- adapterized, added pl summary

Revision 1.11  2001/05/27 18:14:40  kloczek
- fixed Source url.

Revision 1.10  2001/05/27 18:05:53  kloczek
- updated to 1.0.

Revision 1.9  2000/11/20 20:55:15  zagrodzki
- release 4
- removed bashizm (>&/dev/null)
- pl description

Revision 1.8  2000/08/26 16:27:50  kloczek
- added e2fsprogs-static, glibc-static to BuildRequires list.

Revision 1.7  2000/08/26 16:23:36  kloczek
- typo in Source url.

Revision 1.6  2000/08/26 16:22:52  kloczek
- updated to 0.9.9 (release 3),
- added fr translation from MDK spec file,
- new Source url,
- added gzipping %doc.

Revision 1.5  2000/08/07 23:07:48  baggins
- spec adapterized

Revision 1.4  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.3  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw
